<script setup>

const props = defineProps({
  date: String | Boolean,
  min: Number,
  max: Number,
  rain: Number,
});

// Get Colors for Temp
//        temp <= 40 -- Gray
// 41  <= temp <= 60 -- Blue
// 61  <= temp <= 75 -- Green
// 76  <= temp <= 85 -- Purple
// 86  <= temp <= 99 -- Pink
// 100 <= temp       -- Yellow
function colorFromTemp(temp) {
  if (temp === null) {
    return '#fff';
  } else if (temp >= 100) {
    return '#e6e63c';
  } else if (temp >= 86 && temp <= 99) {
    return '#eb7c9d';
  } else if (temp >= 76 && temp <= 85) {
    return '#c48df2';
  } else if (temp >= 61 && temp <= 75) {
    return '#9abc93';
  } else if (temp >= 41 && temp <= 60) {
    return '#94d2eb';
  } else if (temp <= 40) {
    return '#b5c0c4';
  }
  return '#fff';
}

</script>

<template>
  <div 
    class="quilt-cell flex justify-center items-center"
    style="width: 40px; height: 40px;"
    :style="{
      backgroundColor: colorFromTemp(min),
      border: `10px solid ${colorFromTemp(max)}`,
      opacity: '.75'
    }"
  >
    <div
      v-if="rain > 0"
      style="backgroundColor: white; width: 10px; height: 10px; border-radius: 5px;" 
    />
  </div>
</template>
